VMEM_FREE(9)

NAME
vmem_free - free resource to arena

SYNOPSIS
#include <sys/vmem.h>
void
vmem_free(vmem_t *vm, vmem_addr_t addr, vmem_size_t size);

DESCRIPTION
vmem_free() frees resource allocated by vmem_alloc to the arena.

vm  The arena which we free to.

addr
    The resource being freed. It must be the one returned by vmem_alloc(). Notably, it must not be the one from vmem_xalloc(). Otherwise, the behaviour is undefined.

size
    The size of the resource being freed. It must be the same as the size argument used for vmem_alloc().

SEE ALSO
intro(9), vmem(9)